#include <stdio.h>

#define MAX_AUDIT_CONFIG_LINE 512

// If we want to use a config file that uses text-type event names to enable/disable events
int main(int argc, char ** argv)
{
	FILE * audit_event;
	char inputbuffer[MAX_AUDIT_CONFIG_LINE];
	char teventname[256];
	char *position;
	char *position2;
	int teventnumber;

	audit_event=fopen("/etc/security/audit_event","r");

	if(audit_event==(FILE *)NULL) {
		printf("Cannot open /etc/security/audit_event. Exiting\n");
		return;
	}

	while(fgets(inputbuffer,MAX_AUDIT_CONFIG_LINE,audit_event)) {
		if(!iscomment(inputbuffer))	{
			if(position = (char *)strstr(inputbuffer,":")) {
				// Grab the number
				// Convert colon to null.
				//*position='\0';
				// teventnumber=atoi(inputbuffer);
				// Jump over the AUE_
				position+=5;
				if(position2 = (char *)strstr(position,":")) {
					char tseventname[256];
					int size;

					size=position2-position;
					if(size>255) size=255;
					strncpy(teventname,position,size);
					teventname[size]='\0';
					
					// ADD TEVENTNAME to the list
					printf("Add this event to the GUI list: %s\n",teventname);
				}
			}
		}
	}

	fclose(audit_event);

	return;
}


int iscomment(char * line)
{
	// Verify that there is something to check.
	if(line == (char *) NULL) return(1);
	
	// And that there is some data within.
	if(strlen(line) == 0 || strlen(line) > MAX_AUDIT_CONFIG_LINE) return(1);
	
	// If the first non-whitespace character is a hash, this is a comment line.
	while(*line) {
		// Space or tab or newline / formfeed
		if(*line == ' ' || *line == 9 || *line == 10 || *line == 12) {
			line++;
		} else if(*line == '#') {
				return(1);
		} else {
			// Ahh. A non-whitespace, non hash character.
			return(0);
		}
	}
	
	// If we are here, then the whole line must have been whitespace
	return(1);
}

